//
//  WZSession.m
//  WowzaGoCoderSDK
//
//  Created by Rob Gabbard on 1/30/16.
//  Copyright © 2016 Wowza, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <WowzaGoCoderSDK/WZEncoder.h>

@interface WZSession : NSObject <NSMutableCopying, NSCopying>

@property (nonatomic, readonly, getter=isSessionActive) BOOL sessionActive;
@property (nonatomic, readonly) NSDate *startTime;
@property (nonatomic, readonly) NSDate *endTime;
@property (nonatomic, readonly) NSTimeInterval duration;

@property (nonatomic) id<WZEncoder> audioEncoder;
@property (nonatomic, getter=isAudioMuted) BOOL audioMuted;

- (void) startSession;
- (void) endSession;

@end
