/**
 * Wowza
 *
 * Created by Your Name
 * Copyright (c) 2016 Your Company. All rights reserved.
 */

#import "ComJanxWowzaModule.h"
#import "TiBase.h"
#import "TiHost.h"
#import "TiUtils.h"

@implementation ComJanxWowzaModule

#pragma mark Internal

// this is generated for your module, please do not change it
-(id)moduleGUID
{
	return @"c41bbb34-6302-4b13-85ba-5f03a53772a5";
}

// this is generated for your module, please do not change it
-(NSString*)moduleId
{
	return @"com.janx.wowza";
}

#pragma mark Lifecycle

-(void)startup
{
	// this method is called when the module is first loaded
	// you *must* call the superclass
	[super startup];

	NSLog(@"[INFO] %@ loaded",self);
}

-(void)shutdown:(id)sender
{
	// this method is called when the module is being unloaded
	// typically this is during shutdown. make sure you don't do too
	// much processing here or the app will be quit forceably

	// you *must* call the superclass
	[super shutdown:sender];
}

#pragma mark Cleanup

-(void)dealloc
{
	// release any resources that have been retained by the module
	[super dealloc];
}

#pragma mark Internal Memory Management

-(void)didReceiveMemoryWarning:(NSNotification*)notification
{
	// optionally release any resources that can be dynamically
	// reloaded once memory is available - such as caches
	[super didReceiveMemoryWarning:notification];
}

#pragma mark Listener Notifications

-(void)_listenerAdded:(NSString *)type count:(int)count
{
	if (count == 1 && [type isEqualToString:@"my_event"])
	{
		// the first (of potentially many) listener is being added
		// for event named 'my_event'
	}
}

-(void)_listenerRemoved:(NSString *)type count:(int)count
{
	if (count == 0 && [type isEqualToString:@"my_event"])
	{
		// the last listener called for event named 'my_event' has
		// been removed, we can optionally clean up any resources
		// since no body is listening at this point for that event
	}
}


#pragma Public APIs

-(id)example:(id)args
{
	// example method
	return SDKSampleAppLicenseKey;
}

-(id)exampleProp
{
	// example property getter
	return SDKSampleAppLicenseKey;
}

-(void)setExampleProp:(id)value
{
	// example property setter
}

-(void)initializeWowza:(NSString *)url sourceUserName:(NSString *)sourceUserName password:(NSString *)password licenceKey:(NSString *)licenceKey targetView:(UIView *)targetView streamName:(NSString *)streamName
{
    self.appLicenceKey = licenceKey;
    
    // Load or initialization the streaming configuration settings
    
    self.goCoderConfig = [WowzaConfig new];
    /*
    
    // WORKFLOW: setting the id game preset
    self.goCoderConfig.streamName = streamName;
    self.goCoderConfig.hostAddress = @"192.168.16.84";
    self.goCoderConfig.applicationName = @"myfirstliveapp";
    self.goCoderConfig.username = sourceUserName;
    self.goCoderConfig.password = password;
    self.goCoderConfig.videoWidth = 200;
    self.goCoderConfig.videoHeight = 200;
    //
    
    self.goCoder = nil;
    
    // Register the GoCoder SDK license key
    NSError *goCoderLicensingResult = [WowzaGoCoder registerLicenseKey:self.appLicenceKey];
    if (goCoderLicensingResult != nil) {
        // Handle license key registration failure
        //[self showErrorAlertWithTitle:goCoderLicensingResult title:@"GoCoder SDK Licensing Error"];
    } else {
        // Initialize the GoCoder SDK
        self.goCoder = [[WowzaGoCoder alloc] initWithConfig:self.goCoderConfig];
        
        // Specify the view in which to display the camera preview
        if (self.goCoder != nil) {
         self.goCoder.cameraView = targetView;
         
         // Start the camera preview
         self.goCoderCameraPreview = self.goCoder.cameraPreview;
         [self.goCoderCameraPreview startPreview];
         }
        
        // Update the UI controls
        //[self updateUIControls];
    }
     */
    
}

@end
